Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteResultVersionTable

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteResultVersionTable

extends java.rmi.Remote

Interface `RemoteResultVersionTable` contains result version records in the report server.

Since:
  5.2

Method Summary
`void` | `commit()` Commit changes into the disk.
`java.util.Vector` | `getResultVersionRecords(java.lang.String catalog, java.lang.String report)` Deprecated. As of JREntServer version 4.1, replaced by `getResultVersionRecordsByCatalogReport(String userID, String catalog, String report)`.
`java.util.Vector` | `getResultVersionRecords(java.lang.String catalog, java.lang.String report, java.lang.String submitter)` Deprecated. As of JREntServer version 4.1, replaced by `getResultVersionRecords(String userID, String catalog, String report, String submitter)`.
`java.util.Vector` | `getResultVersionRecords(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.lang.String submitter)` Get result versions through the catalog, the report and the submitter.
`java.util.Vector` | `getResultVersionRecordsByCatalogReport(java.lang.String userID, java.lang.String catalog, java.lang.String report)` Get result versions through the catalog and the report.
`ResultVersionRecord` | `getVersion(java.lang.String versionID)` Get the result version through the version ID.
`void` | `removeVersion(java.lang.String versionID)` Remove the result version through the version ID.

Method Detail

### getResultVersionRecords

    java.util.Vector getResultVersionRecords(java.lang.String catalog,
                                             java.lang.String report)
                                             throws java.rmi.RemoteException,
                                                    RptServerException

  Deprecated. As of JREntServer version 4.1, replaced by `getResultVersionRecordsByCatalogReport(String userID, String catalog, String report)`.

  Get result versions through the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example:invoice.cls.
  Returns:
    result versions of the report. The Vector contains ResultVersionRecord objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getResultVersionRecordsByCatalogReport

    java.util.Vector getResultVersionRecordsByCatalogReport(java.lang.String userID,
                                                            java.lang.String catalog,
                                                            java.lang.String report)
                                                            throws java.rmi.RemoteException,
                                                                   RptServerException

  Get result versions through the catalog and the report.

  Parameters:
    `userID` - the caller of this method.
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example:invoice.cls.
  Returns:
    result versions of the report. The Vector contains ResultVersionRecord objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getResultVersionRecords

    java.util.Vector getResultVersionRecords(java.lang.String catalog,
                                             java.lang.String report,
                                             java.lang.String submitter)
                                             throws java.rmi.RemoteException,
                                                    RptServerException

  Deprecated. As of JREntServer version 4.1, replaced by `getResultVersionRecords(String userID, String catalog, String report, String submitter)`.

  Get result versions through the catalog, the report and the submitter.

  Parameters:
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example:invoice.cls.
    `submitter` - the submitter of the result versions.
  Returns:
    result versions. The Vector contains ResultVersionRecord objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getResultVersionRecords

    java.util.Vector getResultVersionRecords(java.lang.String userID,
                                             java.lang.String catalog,
                                             java.lang.String report,
                                             java.lang.String submitter)
                                             throws java.rmi.RemoteException,
                                                    RptServerException

  Get result versions through the catalog, the report and the submitter.

  Parameters:
    `userID` - the caller of this method.
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example:invoice.cls.
    `submitter` - the submitter of the result versions.
  Returns:
    result versions. The Vector contains ResultVersionRecord objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getVersion

    ResultVersionRecord getVersion(java.lang.String versionID)
                                   throws java.rmi.RemoteException,
                                          RptServerException

  Get the result version through the version ID.

  Parameters:
    `versionID` - the result version ID.
  Returns:
    the result version through the version ID.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### removeVersion

    void removeVersion(java.lang.String versionID)
                       throws java.rmi.RemoteException,
                              RptServerException

  Remove the result version through the version ID.

  Parameters:
    `versionID` - the result version ID.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### commit

    void commit()
                throws java.rmi.RemoteException,
                       RptServerException

  Commit changes into the disk.

  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD